<?php

	// assembler preferences
	
	define("FIELD_MARKER", "##");
	define("READ_PAGE_DEFINITIONS_FROM", "config/pages.txt");
	define("READ_FILES_FROM", "../contemplate/config/,../content/,../templates/,../other/,../members/,../scripts/");
	define("READ_FILES_RECURSIVELY", true);
	define("REQUIRE_AUTHENTICATION_TO_READ_FILES_FROM", "../members/");
	define("SPLIT_PAGE_NAMES_ON", "_");
	define("PRE_RENDER_FILES", "cgi");
	define("SEARCH_RESULTS_PREVIEW_LENGTH", 128);
	define("PREVENT_PAGE_CACHING", false);
	define("EXTERNAL_LINK_TARGET", "_blank");
	define("LINE_ENDING_FOR_ASSEMBLED_FILES", "\n");
	define("LOG_SITE_TRAFFIC", get_query_argument("log_site_traffic", "bool", true)); // allow override from the query string; the last argument is the default
	define("USE_COOKIES_TO_TRACK_VISITORS", true);
	define("HOST_LOOKUPS_FOR_LOGS", "auto"); // on, off or auto
	define("SHOW_EXPANDED_URLS", false);
	define("SHOW_SOURCE", get_query_argument("show_source", "bool", false)); // allow override from the query string; the last argument is the default
	define("SHOW_SOURCE_TO_IP_ADDRESS", "10.0.1.1");
	define("SHOW_ERRORS", get_query_argument("show_errors", "bool", true)); // allow override from the query string; the last argument is the default
	define("ERROR_BOX_STYLE", "border: 2px solid black; padding: 8px; color: #000000; background: #FFFFFF;");
	define("ERROR_PAGE_404", "error_404");
	define("CONTENT_DATABASE_ADDRESS", "********");
	define("CONTENT_DATABASE_USERNAME", "********");
	define("CONTENT_DATABASE_PASSWORD", "********");
	define("CONTENT_DATABASE_NAME", "********");
	define("CONTENT_DATABASE_TABLES", "********");
	define("CONTENT_DATABASE_STRIP_SLASHES", false);
	
	
	// reporter preferences
	
	define("PASSWORD", "");
	define("ONE_BIG_PAGE", false);
	define("TOP_N", 5);
	define("MAXIMUM_LABEL_LENGTH", 64); // characters
	define("GRAPH_COLOR", "#0000FF");
	define("GRAPH_IMAGE", "");  // e.g., ../images/logo.jpg
	define("REAL_TIME_UPDATE_INTERVAL", 10); // seconds
	define("EXCLUDE_TRAFFIC_FROM_HOSTS", "crawl,spider,bot");
	define("INCLUDE_ERROR_PAGES_IN_TOTALS", true);
	define("MINUTES_UNTIL_VISIT_EXPIRES", 30);
	define("REPORTER_DATABASE_ADDRESS", "********");
	define("REPORTER_DATABASE_USERNAME", "********");
	define("REPORTER_DATABASE_PASSWORD", "********");
	define("REPORTER_DATABASE_NAME", "********");
	define("REPORTER_DATABASE_TABLE", "********");
	
	
	// language strings

	define("CHECK_URL", "Hint: Check your page definition");
	define("CHECK_EMBED", "Hint: Check your embed tag");
	define("CHECK_FIELD_LABEL", "Hint: Check your content file and remove any formatting tags between the field marker and the field label");
	define("CHECK_PATHS", "Hint: Add nonstandard paths to READ_FILES_FROM list in constants.php");
	define("CHANGE_TAG_NAME", "Hint: Choose a different name for this embed tag");

	define("SEARCH_LABEL_SUCCESS", "Search results for");
	define("SEARCH_LABEL_FAILURE", "Can't find");
	define("SEARCH_LABEL_NONE", "Please enter a search string");


	// PHP configuration settings

	ini_set("pcre.backtrack_limit", 1000000000); // http://bugs.php.net/bug.php?id=40846 - this goes to 100x the default value for PHP versions before 5.2.0

?>