# Sequel Pro dump
# Version 2210
# http://code.google.com/p/sequel-pro
#
# Host: www.arlomedia.com (MySQL 5.0.27-standard)
# Database: contemplate_demo
# Generation Time: 2010-11-19 13:55:07 -0800
# ************************************************************

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table content
# ------------------------------------------------------------

CREATE TABLE `content` (
  `id` int(11) NOT NULL auto_increment,
  `name` tinytext NOT NULL,
  `html` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

LOCK TABLES `content` WRITE;
/*!40000 ALTER TABLE `content` DISABLE KEYS */;
INSERT INTO `content` (`id`,`name`,`html`)
VALUES
	(1,'welcome','<p class=\"title\">Welcome</p>\n      	<p class=\"body\">Welcome to\n      		Contemplate! This page demonstrates the embed tags most commonly\n      		used to build a typical site. This is the main content, which is selected\n      		based on the values specified for the &quot;main&quot; argument in the\n      		<span class=\"code\">config/pages.txt</span> file.</p>\n      	<p class=\"body\">Above and below, we have a menu and a footer that come\n      		from the <span class=\"code\">content/misc.html</span> file. Since these are the same on every\n      		page of the template, their values don\'t need to be included into\n      		<span class=\"code\">config/pages.txt</span> &hellip; they\'re just hard-coded directly into the template.</p>\n      	<p class=\"body\">To your right are two sidebars. The first is randomly\n      		selected from <span class=\"code\">content/sidebars.html</span>, so you can refresh the page\n      		to see it change. The second is optional: a conditional tag in the\n      		template only displays it if a value is given for it in <span class=\"code\">config/pages.txt</span>.</p>');

/*!40000 ALTER TABLE `content` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table reporter
# ------------------------------------------------------------

CREATE TABLE `reporter` (
  `timestamp` datetime NOT NULL default '0000-00-00 00:00:00',
  `visitor_id` tinytext NOT NULL,
  `ip_address` tinytext NOT NULL,
  `host` tinytext NOT NULL,
  `page` tinytext NOT NULL,
  `user_agent` tinytext NOT NULL,
  `referrer` tinytext NOT NULL,
  `entry` tinyint(3) NOT NULL default '0',
  `exit` tinyint(3) NOT NULL default '0',
  `duration` smallint(6) NOT NULL default '0',
  `http_status` smallint(6) NOT NULL default '0',
  `assembler_error` tinytext NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;






/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
