<?php

	// this code simulates the results of a database query, for demo purposes
	$user_data = array();
	$user_data[0] = array("username"=>"jdoe", "name"=>"John Doe", "city"=>"Chicago");
	$user_data[1] = array("username"=>"jdow", "name"=>"Jane Dow", "city"=>"New York");
	$user_data[2] = array("username"=>"jdill", "name"=>"Jill Dill", "city"=>"Los Angeles");

	// because our content contains split tags around our table row, we can access that row with the $split_users variable
	// and because our row contains references to the variables $username, $name and $city, we can use Contemplate's merge_content function to merge our data into it
	if (count($user_data)) {
		$user_data_display = array();
		foreach ($user_data as $user) {
			$user_data_display[] = merge_values($split_users, $user);
		}
		$split_users = implode("\n", $user_data_display);
		$split_no_users = ""; // we have users to display, so we don't need the "no users" row
	} else {
		$split_users = ""; // we don't have users to display, so we don't need the "users" row
	}

	// we can also set individual values that we'll merge into the content
	$date = date("M j, Y");

	// this merges both our $split_user and $date_formatted values into the main content
	$main = merge_values($main, $GLOBALS);

	print $main;

?>
