// search the menu code for a page name and set that page's link ID to "active"

	function set_active_item(menu_name, page) {
		// get the menu code from the containing div
		// note that IE capitalizes HTML tags in this value, so we have to use case-insensitive regexps below
		menu_code = document.getElementById(menu_name).innerHTML;
		
		// the first line looks for the assembler.php?page=pagename format
		// the second line looks for the URL rewriting format
		// we're including both in the demo site but a real site would just need one or the other
		re1 = new RegExp("(assembler\\.php\\?page=" + page + "\")", "gi");
		re2 = new RegExp("(\\W" + page + "\\.html\")", "gi");
		menu_code = menu_code.replace(re1, "$1 id=\"active\"");
		menu_code = menu_code.replace(re2, "$1 id=\"active\"");
		
		// put the modified menu code back into the containing div
		document.getElementById(menu_name).innerHTML = menu_code;
	}


// take the current URL and add a name/value pair to it, without duplication if it already exists
// this allows us to link to pages in the demo site without knowing if we're doing URL rewriting or not
	
	function update_query_string(name, value) {
		URL = document.URL;
		regexp = new RegExp("[&\?]?" + name + "=[^&]*");
		URL = URL.replace(regexp, "");
		if (value !== "") {
			delimiter = (URL.indexOf("?") != -1) ? "&" : "?" ;
			URL = URL + delimiter + name + "=" + value;
		}
		return URL;
	}


